.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

#lamp {
    height: 100px;
    width: 50px;
    margin-left: auto;
    margin-right: auto;
    background-image: url(../img/lamp.png);
    background-repeat: no-repeat;
    background-size: 100px;
    background-position-x: 4px;
}

#switch-div {
    text-align: center;
}

#lamp-td {
    width: 200px;
    vertical-align: top;
    text-align: center;
}

#lamp-state-div {
    display: none;
}

td {
    border: 1px solid; 
}

#container {
    border: 1px solid;
    padding-right: 20px;
}

.loader {
    border: 7px solid #c9c9c9;
    border-radius: 50%;
    border-top: 7px solid #3498db;
    width: 30px;
    height: 30px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    margin-left: auto;
    margin-right: auto;
  }
  
  /* Safari */
  @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }

  .loader-div {
      text-align: center;
  }

#container2 {
    height: 400px; 
    min-width: 310px; 
    max-width: 600px;
    margin: 0 auto;
    display: none;
}